rte_pmd_cnxk_mempool.h(3)

NAME
rte_pmd_cnxk_mempool.h

SYNOPSIS

#include <rte_mbuf.h>
#include <rte_mempool.h>

  Functions

__rte_experimental int rte_pmd_cnxk_mempool_mbuf_exchange (struct rte_mbuf *m1, struct rte_mbuf *m2)
__rte_experimental int rte_pmd_cnxk_mempool_is_hwpool (struct rte_mempool *mp)
__rte_experimental int rte_pmd_cnxk_mempool_range_check_disable (struct rte_mempool *mp)

Detailed Description

Marvell CNXK Mempool PMD specific functions.

Definition in file rte_pmd_cnxk_mempool.h.

Function Documentation

  __rte_experimental int rte_pmd_cnxk_mempool_mbuf_exchange (struct rte_mbuf * m1, struct rte_mbuf * m2)
Exchange mbufs between two mempools.

Parameters
    m1 First mbuf
    m2 Second mbuf

Returns
    0 on success, a negative errno value otherwise.

  __rte_experimental int rte_pmd_cnxk_mempool_is_hwpool (struct rte_mempool * mp)
Check whether a mempool is a hwpool.

Parameters
    mp Mempool to check.

Returns
    1 if mp is a hwpool, 0 otherwise.

  __rte_experimental int rte_pmd_cnxk_mempool_range_check_disable (struct rte_mempool * mp)
Disable buffer address range check on a mempool.

Parameters
    mp Mempool to disable range check on.

Returns
    0 on success, a negative errno value otherwise.

Author

Generated automatically by Doxygen for DPDK from the source code.